<?php
/**
 * @version		$Id: category.php 1.0 2011-06-01 16:29:00Z reneb $
 * @package		ndk-event template
 * @author		Ren Bz
 * @copyright	Copyright (C) 2010 nettdotkomm. All rights reserved.
 * @license		GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 **/
defined( '_JEXEC' ) or die( 'Restricted access' );

$mydoc =& JFactory::getDocument();
$mytitle = $mydoc->getTitle();
$conf =& JFactory::getConfig();
$sitename = $conf->getValue('config.sitename');
// $mydoc->setTitle($mytitle.' - '.$sitename);
?>
<div id="flexicontent" class="flexicontent">

<p class="buttons">
	<?php // BOF buttons
	//echo flexicontent_html::addbutton( $this->params );
	echo flexicontent_html::printbutton( $this->print_link, $this->params );
	echo flexicontent_html::mailbutton( 'category', $this->params, $this->category->slug ); 
	// EOF buttons ?>
</p>


<?php /** BOF page title **/ if ( ($this->params->get('show_page_title',1) && $this->params->get('page_title') !='') && ($this->params->get('page_title') != $this->category->title) ) : ?>
	<?php
    $mytitle = $this->params->get('page_title');
    // $mydoc->setTitle($mytitle.' - '.$sitename);
    ?>
    <div class="page-title-wrap comhead outershadow">
        <div class="page-title">
            <h1 class="componentheading">
	 	<?php 
        $title 	= $this->params->get('page_title');
        $zaehler = str_word_count($title);
        if ($zaehler >= 2) {
            $title		= explode(' ', $title);
            $title[0] 	= '<span>'.$title[0].'</span>';
            $title		= join(' ', $title);
            } else {
            $title 	= $this->params->get('page_title');
        } ?>
    	<?php echo $title; ?>
            </h1>
        </div>
    </div>
    <div class="page-title-bottom"></div>
	<?php endif;

	
	// EOF page title

	// BOF category description
	if (($this->category->id > 0) && ((!empty($this->category->image) && $this->params->get('show_description_image', 1)) || ($this->params->get('show_description', 1)) || ($this->params->get('show_cat_title', 1)))) :
	echo $this->loadTemplate('category');
	endif;
	// EOF category description
	
	// BOF sub-categories
	//only show this part if subcategories are available
	if (count($this->categories) && $this->category->id > 0 && $this->params->get('show_subcategories')) :
	echo $this->loadTemplate('subcategories');
	endif;
	// EOF sub-categories
	
	// BOF item list display
	echo $this->loadTemplate('items');
	// EOF item list display -->

	/** BOF pagination or pagecounter **/ if ( ($this->params->get('show_pagination', 2) !=0) || ($this->params->get('show_pagination_results', 1)) ) : ?>
	<div class="pageslinks">
    	<?php if ($this->params->get('show_pagination', 2) != 0) : ?>
			<?php echo $this->pageNav->getPagesLinks(); ?>
        <?php endif; ?>
		<?php if ($this->params->get('show_pagination_results', 1)) : ?>
        <p class="pagescounter">
            <?php echo $this->pageNav->getPagesCounter(); ?>
        </p>
        <?php endif; ?>
	</div>
	<?php endif; /** EOF pagination or pagecounter **/  ?>

</div>