<?php
/**
 * @version 1.5 stable $Id: category_subcategories.php 171 2010-03-20 00:44:02Z emmanuel.danan $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<?php
$n = count($this->categories);
$i = 0;
?>
<?php if ($n >= 1) : ?>
<div class="sub-page-title-wrap outershadow">
<div class="sub-page-title">
<div class="subcategorieslist">
	<?php
	if ($this->params->get( 'tpl_cat_show_subcats_headline', 1 )) {
		if ($this->params->get('tpl_cat_subcats_headline') != '') {
			$headline 	= $this->params->get('tpl_cat_subcats_headline');
			$zaehler = str_word_count($title);
			if ($zaehler >= 2) {
				$headline		= explode(' ', $headline);
				$headline[0] 	= '<span>'.$headline[0].'</span>';
				$headline		= join(' ', $headline);
				} else {
				$headline 	= $this->params->get('tpl_cat_subcats_headline');
			} 
		} else {
			$headline 	= JText::_( 'FLEXI_SUBCATEGORIES' );
			$zaehler = str_word_count($title);
			if ($zaehler >= 2) {
				$headline		= explode(' ', $headline);
				$headline[0] 	= '<span>'.$headline[0].'</span>';
				$headline		= join(' ', $headline);
				} else {
				$headline 	= JText::_( 'FLEXI_SUBCATEGORIES' );
			} 
		};
		echo '<h2 class="subcatheading">'. $headline . ' : </h2>';
	};
	echo '<ul class="subcatlist clearfix">';
	foreach ($this->categories as $sub) :
		$subsubcount = count($sub->subcats);	
	?>
		<li><a href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo $this->escape($sub->title); ?>
		<?php
		if ($this->params->get('show_itemcount', 1)) echo '<span class="small">&nbsp;(' . ($sub->assigneditems != null ? $sub->assigneditems.'/'.$subsubcount : '0/'.$subsubcount) . ')</span>';
		$i++;
		if ($i != $n) :
			echo ',&nbsp;';
		endif;
		echo '</a></li>';
	endforeach; ?>
    </ul>
    <div class="clear"></div>
</div>
</div>
</div>
<?php endif; ?>