<?php
/**
 * @version 	$Id: item.php 1.0 2011-06-01 16:29:00Z reneb $
 * @package		ndk-event template
 * @author		Ren Bz
 * @copyright	Copyright (C) 2010 nettdotkomm. All rights reserved.
 * @license		GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
// first define the template name
$tmpl = $this->tmpl; // for backwards compatiblity
?>

<div id="flexicontent" class="flexicontent item<?php echo $this->item->id; ?> type<?php echo $this->item->type_id; ?>">
    <div class="floattext">    
        <?php /** BOF buttons **/ ?>
        <p class="buttons">
            <?php echo flexicontent_html::pdfbutton( $this->item, $this->params ); ?>
            <?php echo flexicontent_html::mailbutton( 'items', $this->params, null , $this->item->slug ); ?>
            <?php echo flexicontent_html::printbutton( $this->print_link, $this->params ); ?>
            <?php echo flexicontent_html::editbutton( $this->item, $this->params ); ?>
        </p>
       <?php /** EOF buttons **/ ?>

        <?php /** BOF page title **/ if ($this->params->get('tpl_event_show_cat_title', 1) ) : ?>
            <?php
                $secid = $this->item->catid;
                $this->section = & JTable::getInstance( 'category' );
                $this->section->load( $secid );
                $cparams = JComponentHelper::getParams ('com_media');
            ?>
        <?php endif; ?>
        
        <?php if ($this->params->get( 'tpl_event_link_titles', 1 )) {
                $class_pagetitle = 'link_title';
            } else {
                $class_pagetitle = '';
            } 
        ?>
        
        <?php if ( ($this->params->get('tpl_event_show_cat_title', 1)) && ($this->section->title) ) : ?>
        <div class="page-title-wrap comhead outershadow">
        	<div class="page-title <?php echo $class_pagetitle; ?>">
                <h1 class="flexicontent componentheading page_title headlines_m_h">
					<?php if ($this->params->get( 'tpl_event_link_titles', 1 )) {
                        echo '<a href="'.JRoute::_( FlexicontentHelperRoute::getCategoryRoute($this->item->catid) ).'">'.$this->section->title.'</a>';
                    } else {
                        echo ($this->section->title);
                    }
                    ?>
                </h1>
        	</div>
   		</div>
        <?php endif; ?>
    
    	<?php if ( ( ($this->params->get( 'show_page_title', 1 ) && $this->params->get('page_title') != $this->item->title) || ($this->params->get('tpl_event_show_page_title', 1) && $this->params->get('tpl_event_show_page_title') != $this->item->title) ) && ( ($this->params->get('tpl_event_show_cat_title') == 0 ) || ($this->params->get('tpl_event_show_cat_title') == "" ) ) ) : ?>
            
		<?php if ( ($this->params->get( 'show_page_title', 1)) && ($this->params->get('page_title') != ($this->item->title)) ) : ?>
        <?php if ( ($this->params->get('tpl_event_show_page_title', 0)) ) : ?>
        <?php if ( ($this->params->get('tpl_event_page_title') == "" ) ) : ?>
        <div class="page-title-wrap outershadow">
            <div class="page-title <?php echo $class_pagetitle; ?>">
                <h1 class="flexicontent componentheading page_title headlines_m_h">
                    <?php if ($this->params->get( 'tpl_event_link_titles', 1 )) {
                        echo '<a href="'.JRoute::_( FlexicontentHelperRoute::getCategoryRoute($this->item->catid) ).'">'.$this->params->get('page_title').'</a>';
                     } else {
                        echo ($this->params->get('page_title'));
                     }
                    ?>
                </h1>
            </div>
        </div>
        <?php endif; ?>
        <?php endif; ?>
        <?php endif; ?>
            
            <?php if (($this->params->get('tpl_event_page_title') != "" ) && ($this->params->get('tpl_event_show_page_title', 1)) && ($this->params->get('tpl_event_show_page_title') != $this->item->title)) : ?>
    		<div class="page-title-wrap outershadow">
        		<div class="page-title <?php echo $class_pagetitle; ?>">
            		<h1 class="flexicontent componentheading page_title headlines_m_h">
						<?php if ($this->params->get( 'tpl_event_link_titles', 1 )) {
                            echo '<a href="'.JRoute::_( FlexicontentHelperRoute::getCategoryRoute($this->item->catid) ).'">'.$this->params->get('tpl_event_page_title').'</a>';
                        } else {
                            echo ($this->params->get('tpl_event_page_title'));
                        }
                        ?>
                    </h1>
        		</div>
        	</div>
            <?php endif; ?>
            
    	<?php endif; /** EOF page title **/ ?>

    	<?php /**<!-- BOF categorie image **/ if ( (isset($this->section->image)) && ($this->params->get( 'tpl_event_show_cat_images', 1 )) ) : ?>	
            <?php /*?><div class="item-catimg"><img src="<? echo $cparams->get('image_path').'/'.$this->section->image;?>" /></div><?php */?>
    	<?php endif; /** EOF categorie image **/ ?>
    
	</div>

	<?php if (isset($this->item->positions['event-title'])) : ?>
        <?php foreach ($this->item->positions['event-title'] as $field) : ?>
            <?php $eventtitle = $field->display; ?>
        <?php endforeach; ?>
        <?php else : ?>
            <?php $eventtitle = '' ?>
    <?php endif; ?>
	<?php $eventwrapmargintop = '0'; ?>
	<?php $itemdescmargintop = '0'; ?>
    
	<?php /** BOF event block **/ ?>
	<div class="event-wrap" style="margin-top:<?php echo $eventwrapmargintop; ?>px">
		<?php /** EOF event-info block **/ ?>
		<div class="event-info">
			<?php /** BOF lineinfo event-title **/ ?>
            <?php if ((isset($this->item->positions['event-title'])) && ($this->params->get('tpl_event_show_item_title', 1))) : ?>
    		<div class="item-title outershadow lineinfo event-title">
            <?php foreach ($this->item->positions['event-title'] as $field) : ?>
        	<?php $title = $field->display; ?>
				<?php /**  hiddentitles **/
                $separator = '--';
                // Title and hiddentitle
                $title = explode($separator, $title);
                $itemtitle = $title[0];
                if ($title[1] != '') {
                $itemhiddentitle = '<span class="item-hiddentitle">'.$title[1].'</span>';
                } else {
                $itemhiddentitle = '';
                };
                $title		= $itemtitle;
                ?>  
                <?php 
                $zaehler = str_word_count($title);
                if ($zaehler >= 2) {
                    $title		= explode(' ', $title);
                    $title[0] 	= '<span>'.$title[0].'</span>';
                    $title		= join(' ', $title);
                    } else {
                    $title 	= $title;
                } ?>
                <h2 class="contentheading flexicontent">
                    <span class="element">
                        <span class="value field_event-title"> <?php echo $title; ?></span>
                    </span>
                    <?php /** BOF event-location block **/ if (isset($this->item->positions['event-location'])) : ?>
                    <?php foreach ($this->item->positions['event-location'] as $field) : ?>
                    <span class="element">
                        <?php if ($field->label) : ?>
                        <span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                        <?php endif; ?>
                        <span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
                    </span>
                    <?php endforeach; ?>
                    <?php endif; /** EOF event-location block **/ ?>
                </h2>
                <?php endforeach; ?>
            </div>
            <div class="item-title-bottom"></div>
            <?php endif; ?>
            <?php /** EOF lineinfo event-title **/ ?>



			<?php /** BOF event-description-img **/ if ( (isset($this->item->positions['event-image'])) || (isset($this->item->positions['event-description']))  ) : ?>
			<div class="event-description-img">
                <div class="event-description">
                
					<?php /** BOF event-image block **/ if (isset($this->item->positions['event-image'])) : ?>
                    <?php foreach ($this->item->positions['event-image'] as $field) : ?>
                    <div class="event-image-wrap">
                        <div class="event-image field_<?php echo $field->name; ?>">
                            <?php echo $field->display; ?>
                            <div class="clear"></div>
                        </div>
                    </div>
                    <?php endforeach; ?>
                	<?php endif; /**EOF event-image block **/ ?>
                
                
					<?php /**BOF event-data block **/ if (isset($this->item->positions['event-data-lineinfo'])) : ?>
                    <div class="event-data"> 
                        <div class="lineinfo">
                            <?php foreach ($this->item->positions['event-starttime'] as $field) : ?>
                            <span class="element">
                                <?php if ($field->label) : ?>
                                <span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                                <?php endif; ?>
                                <span class="value field_<?php echo $field->name; ?>"><?php echo $field->display[0]; ?></span>
                            </span>
                            <?php endforeach; ?>
                       	</div>
               	
						<?php $event_enddate = 'false'; ?>
                        <?php if ( (isset($this->item->positions['event-enddate'])) ) : ?>
                            <?php foreach ($this->item->positions['event-enddate'] as $field) : ?>
                                <?php 
                                $event_date_end = $field->display; 
                                $event_date_end_array = explode(" ",$event_date_end);
                                if ($event_date_end_array[0] == '') {
                                    $event_enddate = 'false';
                                } else {
                                    $event_enddate = 'true';
                                }
                                ?>
                            <?php endforeach; ?>
                        <?php endif; ?>
    					<?php /** BOF event-startdate-time and time block **/ if ( ( (isset($this->item->positions['event-startdate']) || ($this->item->positions['event-starttime'])) && ($event_enddate == 'false') ) ) : ?>
   	 					<div class="event-startdate-time"> 
        				<?php /** BOF event-startdate block **/ if (isset($this->item->positions['event-startdate'])) : ?>
        					<div class="event-startdate">
            				<?php foreach ($this->item->positions['event-startdate'] as $field) : ?>
							<?php /** explode date > custom date Format must be %A %d.%b %Y **/ $event_date = $field->display; 
						   $event_date_array = explode(" ",$event_date);
						   // $event_date_array[0] = Tag (z.B. Donnerstag)
						   // $event_date_array[1] = Monat (inkl. Tag) (z.B. 02.Sep)
						   // $event_date_array[2] = Year (z.B. 2010);
							?>
                   		 		<div class="element">
                                    <span class="value field_<?php echo $field->name; ?> event-day"><?php echo $event_date_array[0];?></span>
                                    <span class="value field_<?php echo $field->name; ?> event-month"><?php echo $event_date_array[1]; ?></span>
                                    <span class="value field_<?php echo $field->name; ?> event-year"><?php echo $event_date_array[2]; ?></span>
									<?php /** BOF event-starttime block **/ if (isset($this->item->positions['event-starttime'])) : ?>
                                    <!--<div class="event-starttime">-->
                                    <?php foreach ($this->item->positions['event-starttime'] as $field) : ?>
                                   	<!--<span class="element">-->
									<?php if ($field->label) : ?>
                                    <span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                                    <?php endif; ?>
                                    <span class="value field_<?php echo $field->name; ?>"><?php echo $field->display[0]; ?><?php echo ' '.JText::_('Uhr'); ?></span>
                                	<!--</span>-->
                                    <?php endforeach; ?>
                                    <!--</div>-->
                                    <?php endif; /** EOF event-starttime block **/ ?>
                                </div>
                                <?php endforeach; ?>
                            </div>
                            <?php endif; /** EOF event-startdate block **/ ?>
                        </div>
                        <?php endif; /** EOF event-startdate-time block **/ ?>
    
    					<?php /** BOF event-startdate-time event-enddate-time block **/ if ( (isset($this->item->positions['event-startdate']) || ($this->item->positions['event-starttime'])) && ($event_enddate == 'true') ) : ?>
    					<div class="event-startdate-time event-enddate-time"> 
        					<?php /** BOF event-startdate event-enddate block **/ if (isset($this->item->positions['event-startdate']) && ($this->item->positions['event-enddate'])) : ?>
        					<div class="event-startdate event-enddate">
								<?php foreach ($this->item->positions['event-startdate'] as $field) : ?>
                                <?php /** explode date > custom date Format must be %A %d.%b %Y **/ $event_date_start = $field->display; 
                               $event_date_start_array = explode(" ",$event_date_start);
                               // $event_date_array[0] = Tag (z.B. Donnerstag)
                               // $event_date_array[1] = Monat (inkl. Tag) (z.B. 02.Sep)
                               // $event_date_array[2] = Year (z.B. 2010);
                                ?>
                            	<div class="element">
									<?php /*?><span class="value field_<?php echo $field->name; ?> event-day"><?php echo $event_date_start_array[0]; ?></span><?php */?>
                                    <span class="value field_<?php echo $field->name; ?> event-month"><?php echo $event_date_start_array[1];?></span>
                                    <span class="event-startdate-enddate-spacer">bis</span>
                                    <?php /*?><span class="value field_<?php echo $field->name; ?> event-year"><?php echo $event_date_start_array[2]; ?></span><?php */?>
                                
                                    <?php foreach ($this->item->positions['event-enddate'] as $field) : ?>
                                    <?php /** explode date > custom date Format must be %A %d.%b %Y **/ $event_date_end = $field->display; 
								   $event_date_end_array = explode(" ",$event_date_end);
								   // $event_date_array[0] = Tag (z.B. Donnerstag)
								   // $event_date_array[1] = Monat (inkl. Tag) (z.B. 02.Sep)
								   // $event_date_array[2] = Year (z.B. 2010);
                                    ?>
                                    <?php /*?><span class="value field_<?php echo $field->name; ?> event-day"><?php echo $event_date_end_array[0]; ?></span><?php */?>
                                    <span class="value field_<?php echo $field->name; ?> event-month"><?php echo $event_date_end_array[1]; ?></span>
                                    <span class="value field_<?php echo $field->name; ?> event-year"><?php echo $event_date_end_array[2]; ?></span>
                                    <?php endforeach; ?>
                                
                                    <?php /** BOF event-starttime block **/ if (isset($this->item->positions['event-starttime'])) : ?>
                                    <!--<div class="event-starttime">-->
                                    <?php foreach ($this->item->positions['event-starttime'] as $field) : ?>
                                    <!--<span class="element">-->
									<?php if ($field->label) : ?>
                                    <span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                                    <?php endif; ?>
                                    <span class="value field_<?php echo $field->name; ?>"><?php echo $field->display[0]; ?><?php echo ' '.JText::_('Uhr'); ?></span>
                                    <!--</span>-->
                                    <?php endforeach; ?>
                                	<!--</div>-->
                                	<?php endif; /** EOF event-starttime block **/ ?>
                                </div>
                                <?php endforeach; ?>
                            </div>
                            <?php endif; /** EOF event-startdate event-enddate **/ ?>
                        </div>
                        <?php endif; /** EOF event-startdate-time event-enddate-time block **/ ?>
                    </div> <?php endif;  /**EOF event-data block **/ ?>

					<?php /** BOF event-description **/ if (isset($this->item->positions['event-description'])) : ?>
                    <div  class="event-desc" style="margin-top:<?php echo $itemdescmargintop; ?>px">
						<?php foreach ($this->item->positions['event-description'] as $field) : ?>
                        <?php if ($field->label) : ?>
                        <div class="desc-title"><?php echo $field->label; ?></div>
                        <?php endif; ?>
                        <div class="desc-content"><?php echo $field->display; ?></div>
                        <?php endforeach; ?>
                    </div>
                    <?php endif; /**EOF event-description **/ ?>
                
                </div>
				<?php /**EOF event-data block **/  ?>
				<div class="clear"></div>
			
            </div>
			<?php endif; /** EOF event-description-img **/ ?>
			<div class="clear"></div>

		</div>
		<?php /** EOF event-info block **/ ?>
		<div class="clear"></div>

		<?php /**<!-- BOF infoblock event-extrainfo **/ if (isset($this->item->positions['event-extrainfo'])) : ?>
        <div class="infoblock event-extrainfo">
            <?php foreach ($this->item->positions['event-extrainfo'] as $field) : ?>
            <span class="element">
                <?php if ($field->label) : ?>
                <span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                <?php endif; ?>
                <span class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
            </span>
            <?php endforeach; ?>
            <div class="clear"></div>
        </div>
        <?php endif; /**<!-- EOF infoblock event-extrainfo **/ ?>

	</div>
	<?php /** EOF event-wrap block **/ ?>

	<?php /** BOF item-info-bottom block **/ if (isset($this->item->positions['item-info-bottom'])) : ?>
    <div class="infoblock item-info-bottom <?php echo $this->params->get('tpl_event-item-info-bottom-cols', 'two'); ?>cols">
        <ul>
            <?php foreach ($this->item->positions['item-info-bottom'] as $field) : ?>
            <?php if ($field->label) : ?>
            <li class="with_field_label">
            <?php else: ?>
            <li>
            <?php endif; ?>
                <div>
                    <?php if ($field->label) : ?>
                    <div class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
                    <?php endif; ?>
                    <div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
                </div>
            </li>
            <?php endforeach; ?>
        </ul>
    </div>
	<?php endif; /** EOF item-info-bottom block **/ ?>

	<?php /** BOF comments **/ if ($this->params->get('comments')) : ?>
	<div class="comments">
		<?php
		if ($this->params->get('comments') == 1) :
			if (file_exists(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php')) :
				require_once(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php');
				echo JComments::showComments($this->item->id, 'com_flexicontent', $this->escape($this->item->title));
			endif;
		endif;
	
		if ($this->params->get('comments') == 2) :
			if (file_exists(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php')) :
    			require_once(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php');
    			echo jomcomment($this->item->id, 'com_flexicontent');
  			endif;
  		endif;
		?>
	</div>
	<?php endif; /** EOF comments **/ ?>

</div>