<?php
/**
* @version 	$Id: item.php 1.0 2011-06-01 16:29:00Z reneb $
 * @package		ndk-event template
 * @author		Ren Bz
 * @copyright	Copyright (C) 2010 nettdotkomm. All rights reserved.
 * @license		GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 **/

defined( '_JEXEC' ) or die( 'Restricted access' );
// first define the template name
$tmpl = $this->tmpl; // for backwards compatiblity
?>
<?php 
// $mydoc =& JFactory::getDocument();
// $mytitle = $mydoc->getTitle();
// $conf =& JFactory::getConfig();
// $sitename = $conf->getValue('config.sitename');
// $mydoc->setTitle($mytitle.' - '.$sitename);

$document=& JFactory::getDocument();
$countModRight = $document->countModules('right');
$left_wrap = '';
?>

<div id="flexicontent" class="flexicontent item<?php echo $this->item->id; ?> type<?php echo $this->item->type_id; ?>">

	<?php /** <!-- BOF buttons --> **/ ?>
	<p class="buttons">
		<?php echo flexicontent_html::pdfbutton( $this->item, $this->params ); ?>
		<?php echo flexicontent_html::mailbutton( 'items', $this->params, null , $this->item->slug ); ?>
		<?php echo flexicontent_html::printbutton( $this->print_link, $this->params ); ?>
		<?php echo flexicontent_html::editbutton( $this->item, $this->params ); ?>
	</p>
	<?php /** EOF buttons **/ ?>

	<?php /** BOF page title **/ if ($this->params->get('tpl_item_show_cat_title', 1)) : ?>
        <?php
            $secid = $this->item->catid;
            $this->section = & JTable::getInstance( 'category' );
            $this->section->load( $secid );
            $cparams = JComponentHelper::getParams ('com_media');
        ?>
    <?php endif; ?>
    
    <?php if ($this->params->get( 'tpl_item_link_titles', 1 )) {
            $class_pagetitle = 'link_title';
        } else {
            $class_pagetitle = '';
        } 
    ?>
	<?php if ( ($this->params->get('tpl_item_show_cat_title', 1)) && ($this->section->title) ) : ?>
    <?php
	// $mytitle = $this->section->title.' - '.$mytitle;;
	// $mydoc->setTitle($mytitle.' - '.$sitename);
	?>
    <div class="page-title-wrap comhead outershadow">
        <div class="page-title <?php echo $class_pagetitle; ?>">
            
			<?php /** BOF categorie image **/ if ( (isset($this->section->image)) && ($this->params->get( 'tpl_item_show_cat_image', 1 )) ) : ?>	
                <?php if ($this->params->get( 'tpl_item_link_cat_image', 1 )) { ?>
                    <div class="catimg">
                    <?php echo '<a href="'.JRoute::_( FlexicontentHelperRoute::getCategoryRoute($this->item->catid) ).'">'; ?>
                    <img src="<? echo $cparams->get('image_path').'/'.$this->section->image;?>" />
                    </a>
                    </div>
                <?php
                    } else { ?>
                    <div class="catimg"><img src="<? echo $cparams->get('image_path').'/'.$this->section->image;?>" /></div>
                <?php 
                    }
                ?>
    		<?php endif;  /** EOF categorie image **/ ?>
            
		 	<?php 
            $title 	= $this->section->title;
            $title 	= splitTitle( $title );
			?>
            <h1 class="flexicontent componentheading page_title headlines_m_h">
                <?php if ($this->params->get( 'tpl_item_link_titles', 1 )) {
                    echo '<a href="'.JRoute::_( FlexicontentHelperRoute::getCategoryRoute($this->item->catid) ).'">'.$title.'</a>';
                } else {
                    echo $title;
                }
                ?>
            </h1>
            <?php if ( ($this->params->get('tpl_item_show_cat_desc', 1)) && ($this->section->description != '') ) : ?>
            <div class="catdescription">
                <?php echo $this->section->description; ?>
            </div>
            <?php endif; ?>   
            <div class="clear"></div>
        </div>
    </div>
    <?php endif; ?>

    <?php if ( ( ($this->params->get( 'show_page_title', 1 ) && $this->params->get('page_title') != $this->item->title) || ($this->params->get('tpl_item_show_page_title', 1) && $this->params->get('tpl_item_show_page_title') != $this->item->title) ) && ( ($this->params->get('tpl_item_show_cat_title') == 0 ) || ($this->params->get('tpl_item_show_cat_title') == "" ) ) ) : ?>
            
		<?php if ( ($this->params->get( 'show_page_title', 1)) && ($this->params->get('page_title') != ($this->item->title)) ) : ?>
        <?php if ( ($this->params->get('tpl_item_show_page_title', 0)) ) : ?>
        <?php if ( ($this->params->get('tpl_item_page_title') == "" ) ) : ?>
        <?php
		// $mytitle = $this->params->get('page_title').' - '.$mytitle;;
		// $mydoc->setTitle($mytitle.' - '.$sitename);
		?>
    	<div class="page-title-wrap outershadow">
        <div class="page-title <?php echo $class_pagetitle; ?>">
        
			<?php /** BOF categorie image **/ if ( (isset($this->section->image)) && ($this->params->get( 'tpl_item_show_cat_image', 1 )) ) : ?>	
                <?php if ($this->params->get( 'tpl_item_link_cat_image', 1 )) { ?>
                    <div class="catimg">
                    <?php echo '<a href="'.JRoute::_( FlexicontentHelperRoute::getCategoryRoute($this->item->catid) ).'">'; ?>
                    <img src="<? echo $cparams->get('image_path').'/'.$this->section->image;?>" />
                    </a>
                    </div>
                <?php
                    } else { ?>
                    <div class="catimg"><img src="<? echo $cparams->get('image_path').'/'.$this->section->image;?>" /></div>
                <?php 
                    }
                ?>
    		<?php endif;  /** EOF categorie image **/ ?>
			 
			 <?php 
                $title 	= $this->params->get('page_title');
                $title 	= splitTitle( $title );
			?>
            <h1 class="flexicontent componentheading page_title headlines_m_h">
            <?php if ($this->params->get( 'tpl_item_link_titles', 1 )) {
                echo '<a href="'.JRoute::_( FlexicontentHelperRoute::getCategoryRoute($this->item->catid) ).'">'.$title.'</a>';
             } else {
                echo $title;
             }
            ?>
            </h1>
            <?php if ( ($this->params->get('tpl_item_show_cat_desc', 1)) && ($this->section->description != '') ) : ?>
            <div class="catdescription">
                <?php echo $this->section->description; ?>
            </div>
            <?php endif; ?>   
            <div class="clear"></div>
        </div>
        </div>
        <?php endif; ?>
       	<?php endif; ?>
        <?php endif; ?>
            
		<?php if (($this->params->get('tpl_item_page_title') != "" ) && ($this->params->get('tpl_item_show_page_title', 1)) && ($this->params->get('tpl_item_show_page_title') != $this->item->title)) : ?>
        <?php
		// $mytitle = $this->params->get('tpl_item_page_title').' - '.$mytitle;;
		// $mydoc->setTitle($mytitle.' - '.$sitename);
		?>
    	<div class="page-title-wrap outershadow">
        <div class="page-title <?php echo $class_pagetitle; ?>">
        
        
			<?php /** BOF categorie image **/ if ( (isset($this->section->image)) && ($this->params->get( 'tpl_item_show_cat_image', 1 )) ) : ?>	
                <?php if ($this->params->get( 'tpl_item_link_cat_image', 1 )) { ?>
                    <div class="catimg">
                    <?php echo '<a href="'.JRoute::_( FlexicontentHelperRoute::getCategoryRoute($this->item->catid) ).'">'; ?>
                    <img src="<? echo $cparams->get('image_path').'/'.$this->section->image;?>" />
                    </a>
                    </div>
                <?php
                    } else { ?>
                    <div class="catimg"><img src="<? echo $cparams->get('image_path').'/'.$this->section->image;?>" /></div>
                <?php 
                    }
                ?>
    		<?php endif;  /** EOF categorie image **/ ?>
            
		 	<?php 
            $title 	= $this->params->get('tpl_item_page_title');
            $title 	= splitTitle( $title );
			?>
            <h1 class="flexicontent componentheading page_title headlines_m_h">
                <?php if ($this->params->get( 'tpl_item_link_titles', 1 )) {
                    echo '<a href="'.JRoute::_( FlexicontentHelperRoute::getCategoryRoute($this->item->catid) ).'">'.$title.'</a>';
                } else {
                    echo $title;
                }
                ?>
            </h1>
            <?php if ( ($this->params->get('tpl_item_show_cat_desc', 1)) && ($this->section->description != '') ) : ?>
            <div class="catdescription">
                <?php echo $this->section->description; ?>
            </div>
            <?php endif; ?>   
            <div class="clear"></div>
        </div>
        </div>
        <?php endif; ?>
            
    <?php endif; /** EOF page title **/ ?>
   
<?php if (isset($this->item->positions['item-title'])) : ?>
	<?php foreach ($this->item->positions['item-title'] as $field) : ?>
		<?php $itemtitle = $field->display; ?>
    <?php endforeach; ?>
    <?php else : ?>
    	<?php $itemtitle = '' ?>
<?php endif; ?>

<?php $itemwrapmargintop = '2'; ?>
<?php $itemdescmargintop = '2'; ?>

<?php /** BOF item block **/ if ( 
		( 
			($this->params->get('tpl_item_show_item_title', 1)) && (isset($this->item->positions['item-title'])) && ($itemtitle != $this->escape($this->item->title))
		) || 
		( 
			($this->params->get('tpl_item_show_item_desc', 1)) && (isset($this->item->positions['item-description']))
		)  
		) : ?>

<?php $itemwrapmargintop = '2'; ?>
<?php /** BOF item title **/ ?>
<div class="item-block">
	<?php if ( ( ($this->params->get('tpl_item_show_item_title', 1)) ) && ( (isset($this->item->positions['item-title'])) && ($itemtitle != $this->escape($this->item->title)) ) ) : ?>
    <?php $itemdescmargintop = '2'; ?>
	<div  class="item-title outershadow">
        <h2 class="contentheading flexicontent">
			<?php 
            $title 	= $this->escape($this->item->title);
			/**  hiddentitles **/
			$separator = '--';
			// Title and hiddentitle
			$title = explode($separator, $title);
			if ($title[1] != '') {
				$itemtitle = $title[0];
				$itemhiddentitle = '<span class="item-hiddentitle">'.$title[1].'</span>';
			} else {
				$itemtitle = $this->escape($this->item->title);
				$itemhiddentitle = '';
			};
			$title	= $itemtitle;
            $title 	= splitTitle( $title );
			?>
            <?php echo $title; ?>
        </h2>
    </div>
    <div class="item-title-bottom"></div>
    <?php endif; /** EOF item title **/ ?>
	<div class="clear"></div>
   <?php /** BOF item desc **/ if ( (isset($this->item->positions['item-desc'])) && ($this->params->get('tpl_item_show_item_desc', 1)) && (isset($this->item->positions['item-description'])) ) : ?>
        <div  class="item-desc outershadow" style="margin-top:<?php echo $itemdescmargintop; ?>px">
            <?php foreach ($this->item->positions['item-desc'] as $field) : ?>
                <?php if ($field->label) : ?>
            <div class="item-desc-title"><?php echo $field->label; ?></div>
                <?php endif; ?>
            <div class="item-desc-content"><?php echo $field->display; ?></div>
            <?php endforeach; ?>
        </div>
    <?php endif; /** EOF item desc **/ ?>
   
</div>
<?php endif; /** EOF item block **/ ?>


    <?php /** BOF item-wrap block **/ ?>
    <div class="item-wrap" style="margin-top:<?php echo $itemwrapmargintop; ?>px">
    
    	<?php /** BOF item-left-wrap **/ if ( 
				( 
					(isset($this->item->positions['item-left-infos'])) && ($this->params->get('tpl_item_show_left_info', 1)) 
				) || 
				(
					( (isset($items[$i]->positions['item-creator-avatar'])) && ($this->params->get('tpl_item_show_avatar', 1)) )
				) ||
				( // NEW 20110817
					(isset($this->item->positions['event-startdate']))
				)
				) : ?>
        <?php $left_wrap = 'with-left-info equalheight-left-content'; ?>
        <div class="item-left-wrap equalheight-left-content">
        <div class="item-left">
        
            
            <?php /** BOF item-creator-avatar block **/ if ( 
					(isset($this->item->positions['item-creator-avatar']))
					) : ?>
				<?php foreach ($this->item->positions['item-creator-avatar'] as $field) : ?>
                <div class="item-creator-avatar-wrap outershadow">
                <div class="item-creator-avatar">
                    <div class="element">
                        <div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
                    </div>
                </div>
                </div>
                <div class="clear"></div>
                <?php endforeach; ?>
           <?php endif; ?>

            <?php /** BOF item-left-infos block **/ if ( 
					( (isset($this->item->positions['item-left-infos'])) || (isset($this->item->positions['event-startdate'])) )  && ($this->params->get('tpl_item_show_left_info', 1)) 
					) : ?>
            
            <?php /** BOF event-date block **/ 
			if (isset($this->item->positions['event-startdate'])) : ?>
            <?php 
			// NEW 2012
			$today = date('Y-n-d');
			// $today = date('Y-n-j');
			//setlocale (LC_TIME, "de_DE");
			//$today = date('z, j-M-Y');
			//$today[] = intval($today[0] . $today[3] . $today[4]);
			## $today[0]=year, $today[1]=month int, $today[2]=day int, $today[3]=month w lead 0, $today[4]=day w lead 0, $today[5]=yyyymmd int
			?>
                    
                <div class="item-left-infos-wrapper">
                	<?php /** BOF event-startdate without enddate **/ if ( (isset($this->item->positions['event-startdate']) && (!isset($this->item->positions['event-enddate'])) ) ) : ?>
					<?php 
					$j = 0;
					$field_value_nrs = count ($this->item->fields['event-date-start']->value);
					// NEW 2012
					//$today = date('z, Y-n-j', strtotime($today)); ## The day of the year > today(starting from 0)
					$today = date('Y-n-d', strtotime($today)); ## The day of the year > today(starting from 0)
					// $eventDate[0] = date('z, Y-n-j', strtotime($this->item->fields['event-date-start']->value[0]));## The day of the year eventdate (starting from 0)
					if ($field_value_nrs > 0) {
						for($i = 0; $i < $field_value_nrs; ++$i) { 
							// NEW 2012
							//$eventDate[$i] = ( date('z, Y-n-j', strtotime($this->item->fields['event-date-start']->value[$i])));
							$eventDate[$i] = ( date('Y-n-d', strtotime($this->item->fields['event-date-start']->value[$i])));
							//$eventDate = array(explode('-', $item->fields[$startDateField]->value[$i])); // reset array
							// foreach ($eventDate as &$date) {
								## we want: $date[0]=year, $date[1]=month int, $date[2]=day int, $date[3]=month with lead 0, $date[4]=day with lead 0
								// $dateCopy = $date;
								// $date = array_map("intval", $date); // convert string values to ints
								// $date[] = $dateCopy[0]; ## Year (2011)
								// $date[] = $dateCopy[1]; ## add back string for month (8)
								// $date[] = $dateCopy[2]; ## Day (3)
								// $date[] = $dateCopy[3]; ## month with lead 0 (08)
								// $date[] = $dateCopy[4]; ## Day with lead 0 (03)
							// }
							
							};  // end for
								sort($eventDate);
								/* do some tests
								foreach ($eventDate as $key => $val) {
									echo 'date['. $key . ']= ' . $val .'<br /> ';
								};  // end foreach
								echo 'values = '.$field_value_nrs .'<br /> ';
								$min = min($eventDate);
								$max = max($eventDate);
								$keymin = array_search($min, $eventDate);
								$keymax= array_search($max, $eventDate); 
								echo 'min ['. $keymin . ']= ' . $min .'<br /> ';
								echo 'max ['. $keymax . ']= ' . $max .'<br /> ';
								echo 'today = '.$today .'<br /> ';
								*/

							for($i = 0; $i < ($field_value_nrs); $i++) { 
								if ($today > $eventDate[$i]) { 
									continue; // skip
									
								} else {
									// NEW 2012
									$Date = $eventDate[$i];
									$Date = ( date('Y-n-d', strtotime($Date)));
									
									//$Date = explode(" ", $eventDate[$i]);
									//$Date = $Date[1];
									//$Date = ( date('Y-n-j', strtotime($Date)));
									//** explode date > date Format must be %A, %d. %B %Y **/ 
									// $event_date = $Date; 
									// $event_date_array = explode(" ", $event_date);
									// $event_date_start_array_1 = explode(".", $event_date_start_array[1]);
									//$event_date_start_array[1] = $event_date_start_array_1[0];
									## Donnerstag, 30. August 2011
									## $event_date_start_array[0] = Tag (z.B. Donnerstag,)
									## $event_date_start_array[1] = Monat (inkl. Tag) (z.B. 30.)
									## $event_date_start_array[2] = Monat (inkl. Tag) (z.B. August)
									## $event_date_start_array[3] = Year (z.B. 2010);
									?>
									<div class="item-left-infos-wrap">
										<div class="item-left-infos outershadow">
											<div class="element">
												<span class="value field_<?php echo $field->name; ?> event-date"><?php echo strftime("%A, %d. %B %Y", strtotime($Date)); ?></span>
												<?php /*?> <span class="value field_<?php echo $field->name; ?> event-month-key"><?php echo $event_date_start_array[1]; ?></span><?php */?>
												<?php /*?><span class="value field_<?php echo $field->name; ?> event-month"><?php echo $event_date_start_array[1]; ?></span><?php */?>
												<?php /*?><span class="value field_<?php echo $field->name; ?> event-year"><?php echo $event_date_start_array[2]; ?></span><?php */?>
											</div>
										</div>
									</div>
									<div class="clear"></div>
								<?php 
								break;}  // end if // break if one date is use 
							}  // end for
					  } // end if	
					?>
                    <?php  /** EOF event-startdate without enddate **/ endif; ?>
                    
                	<?php /** BOF event-startdate with enddate **/ if ( (isset($this->item->positions['event-startdate']) && (isset($this->item->positions['event-enddate'])) ) ) : ?>
					<?php foreach ($this->item->positions['event-startdate'] as $field) : ?>
					<?php /** NEW 20110817 explode date > date Format must be %A, %d. %B %Y **/ $event_date_start = $field->display;
                   	$event_date_start_array = explode(" ", $event_date_start);
				   	$event_date_start_array_1 = explode(".", $event_date_start_array[1]);
				   	$event_date_start_array[1] = $event_date_start_array_1[0];
					## Donnerstag, 30. August 2011
					## $event_date_array[0] = Tag (z.B. Donnerstag,)
					## $event_date_array[1] = Monat (inkl. Tag) (z.B. 30.)
					## $event_date_array[2] = Monat (inkl. Tag) (z.B. August)
					## $event_date_array[3] = Year (z.B. 2010);
                    ?>
                    <div class="item-left-infos-wrap">
                        <div class="item-left-infos outershadow">
                            <div class="element">
                                <span class="value field_<?php echo $field->name; ?> event-month"><?php echo $event_date_start_array[1];?>.<?php echo ' '.JText::_('bis'); ?></span>
								<?php foreach ($this->item->positions['event-enddate'] as $field) : ?>
                                <?php /** NEW 20110817 explode date > date Format must be %A, %d. %B %Y **/ $event_date_end = $field->display; 
                               	$event_date_end_array = explode(",",$event_date_end);
								## Donnerstag, 30. August 2011
								## $event_date_end_array[0] = Tag (z.B. Donnerstag,)
								## $event_date_end_array[1] = Monat (inkl. Tag) (z.B. 30. August 2011)
								//$event_date_end_array = explode(" ",$event_date_end);
								// $event_date_end_array_1 = explode(".", $event_date_end_array[1]);
				   				// $event_date_end_array[1] = $event_date_end_array_1[0];
                               	## Donnerstag, 30. August 2011
								## $event_date_end_array[0] = Tag (z.B. Donnerstag,)
								## $event_date_end_array[1] = Monat (inkl. Tag) (z.B. 30.)
								##  $event_date_end_array[2] = Monat (inkl. Tag) (z.B. August)
								## $event_date_end_array[3] = Year (z.B. 2010);
                                ?>
                                <span class="value field_<?php echo $field->name; ?> event-month-key"><?php echo $event_date_end_array[1]; ?></span>
                                <?php /*?><span class="value field_<?php echo $field->name; ?> event-month-key"><?php echo $event_date_end_array[1]; ?>.</span><?php */?>
                                <?php /*?><span class="value field_<?php echo $field->name; ?> event-month"><?php echo $event_date_end_array[2]; ?></span><?php */?>
                                <?php /*?><span class="value field_<?php echo $field->name; ?> event-year"><?php echo $event_date_end_array[3]; ?></span><?php */?>
                                <?php endforeach; ?>
                            </div>
                        </div>
                    </div>
                    <div class="clear"></div>
                    <?php endforeach; ?>
                    <?php  /** EOF event-startdate without enddate **/ endif; ?>
					<?php if ( (isset($this->item->positions['event-starttime'])) ) : ?>
                        <?php foreach ($this->item->positions['event-starttime'] as $field) : ?>
                            <?php 
                            $event_time_start = $field->display; 
                            $event_time_start_array = explode(":", $event_time_start);
                            ?>
                        <?php endforeach; ?>
                    <?php endif; ?>
                    <?php if ( (isset($this->item->positions['event-endtime'])) ) : ?>
                        <?php foreach ($this->item->positions['event-endtime'] as $field) : ?>
                            <?php 
                            $event_time_end = $field->display; 
                            $event_time_end_array = explode(":", $event_time_end);
                            ?>
                        <?php endforeach; ?>
                    <?php endif; ?>
                    <?php /** BOF event-starttime without endtime **/ if ( (isset($this->item->positions['event-starttime'])) && (isset($event_time_start_array[0])) && (is_array($event_time_start)) && ( (!isset($event_time_end_array[0])) || (!is_array($event_time_end)) ) ) : ?>
					<?php foreach ($this->item->positions['event-starttime'] as $field) : ?>
                    <div class="item-left-infos-wrap">
                        <div class="item-left-infos outershadow">
                            <div class="element">
								<?php if ($field->label) : ?>
                                <span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                                <?php endif; ?>
                        		<span class="value field_<?php echo $field->name; ?>"><?php echo $field->display[0]; ?><?php echo ' '.JText::_('Uhr'); ?></span>
                            </div>
                        </div>
                    </div>
                    <div class="clear"></div>
                    <?php endforeach; ?>
                    <?php /** EOF event-starttime without endtime **/ endif; ?>
                    
                    <?php /** BOF event-starttime with endtime **/ if ( (isset($this->item->positions['event-starttime'])) && (isset($this->item->positions['event-endtime'])) && (isset($event_time_end_array[0])) && (is_array($event_time_end)) ) : ?>
					<?php foreach ($this->item->positions['event-starttime'] as $field) : ?>
                    <div class="item-left-infos-wrap">
                        <div class="item-left-infos outershadow">
                            <div class="element">
								<?php if ($field->label) : ?>
                                <span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                                <?php endif; ?>
                        		<span class="value field_<?php echo $field->name; ?>"><?php echo $field->display[0]; ?><?php echo ' '.JText::_('bis'); ?></span>
                                <?php foreach ($this->item->positions['event-endtime'] as $field) : ?>
                                <span class="value field_<?php echo $field->name; ?>"><?php echo $field->display[0]; ?><?php echo ' '.JText::_('Uhr'); ?></span>
                                <?php endforeach; ?>
                            </div>
                        </div>
                    </div>
                    <div class="clear"></div>
                    <?php endforeach; ?>
                    <?php /** EOF event-starttime without endtime **/ endif; ?>
                    
                </div>
			<?php  /** EOF event-date block **/ endif; ?>
                   
            <?php if (isset($this->item->positions['item-left-infos'])) : ?>
                <div class="item-left-infos-wrapper">
					<?php foreach ($this->item->positions['item-left-infos'] as $field) : ?>
                    <?php /**  HTML code in das FlexicontenPlugin Item Left Info ausgelager damit Mehrfacheingaben mglich sind  > Feldseparator (Frontend) = eigener Tag**/ ?>
                    <?php /** <div class="item-left-infos-wrap"><div class="item-left-infos outershadow"><div class="element"><div class="value"> **/ ?>
                    <?php echo $field->display; ?>
                    <?php /** </div></div></div></div><div class="clear"></div> **/ ?>
                    <?php endforeach; ?>
                </div>
            <?php endif; ?>
            
			
			<?php endif; /** EOF item-left-infos block **/ ?> 
            
        </div>
        </div>
        <?php else: ?>
        <?php $left_wrap = ''; ?>
        <?php endif; /** EOF afterthoughts-left-wrap **/ ?>

        <?php  /** BOF item-right-wrap block **/ ?>
        <div class="item-right-wrap <?php echo $left_wrap; ?>">
        	<div class="item-right">
            <div class="item-right-wrap-arrow"></div>
            <div class="item-right-content-wrap outershadow">
            <div class="item-right-content">
            
            <?php if (isset($this->item->positions['item-title'])) : ?>
				<?php foreach ($this->item->positions['item-title'] as $field) : ?>
					<?php $itemtitle = $field->display; ?>
				<?php endforeach; ?>
                <div class="item-right-title">
                    <h3 class="contentheading">
					<?php 
                    $zaehler = str_word_count($itemtitle);
                    if ($zaehler >= 2) {
                        $itemtitle		= explode(' ', $itemtitle);
                        $itemtitle[0] 	= '<span>'.$itemtitle[0].'</span>';
                        $itemtitle		= join(' ', $itemtitle);
                        } else {
                       $itemtitle = $field->display;
                    } ?>
                    <?php echo $itemtitle; ?>
                    </h3>
                </div>
                <?php else: ?>
                <?php if ($this->params->get('tpl_item_show_item_title', 1)) : ?>
                <div  class="item-right-title">
                    <h2 class="contentheading">
					<?php 
                    $title 	= $this->escape($this->item->title);
					/**  hiddentitles **/
					$separator = '--';
					// Title and hiddentitle
					$title = explode($separator, $title);
					if ($title[1] != '') {
						$itemtitle = $title[0];
						$itemhiddentitle = '<span class="item-hiddentitle">'.$title[1].'</span>';
					} else {
						$itemhiddentitle = '';
						$itemtitle = $this->escape($this->item->title);
					};
					$title	= $itemtitle;
                    $title 	= splitTitle( $title );
					?>
                    <?php echo $title; ?>
                    </h2>
                </div>
                <?php endif; ?>
            <?php endif; ?>
            
            <?php /** BOF item-img-desc block **/ ?>
            <div class="item-img-desc">
                <?php if (isset($this->item->positions['item-image'])) : ?>
                    <?php foreach ($this->item->positions['item-image'] as $field) : ?>
                    <div class="item-img">
                        <?php echo $field->display; ?>
                    </div>
                    <?php endforeach; ?>
                <?php endif; ?>
                
            <?php if (isset($this->item->positions['item-description'])) : ?>    
            <?php foreach ($this->item->positions['item-description'] as $field) : ?>
            	<div class="item-description">
                <?php echo $field->display; ?>
                </div> 
            <?php endforeach; ?>
            <?php else : ?>
            	<div class="item-description">
                <?php echo JFilterOutput::ampReplace($this->fields['text']->display); ?>
                </div> 
			<?php endif; ?>	
				        
            <div class="clear"></div>       
            </div>
            <?php /** EOF item-img-desc block **/ ?>

			<?php /** BOF item-extrainfos block **/ if (isset($this->item->positions['item-extrainfos']) && ($this->params->get('tpl_item_show_extrainfos', 1))) : ?>
               <div class="item-extrainfos-wrap">
               <?php $element_nrs 	= 1; ?>
                <?php foreach ($this->item->positions['item-extrainfos'] as $field) : ?>
                <div class="item-extrainfos">
                <div class="element">
                	<?php if ($field->label) : ?>
                    <div class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
                    <?php endif; ?>
                    <div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
                    <?php if ($element_nrs >= 2) { echo '<span class="element-sep">|</span>'; } ?>
                </div>
                </div>
                <?php $element_nrs = $element_nrs + 1; ?>
                <?php endforeach; ?>
                <div class="clear"></div>
                </div>
            <?php endif; /** EOF item-extrainfos block **/ ?>
            
        </div>    
        </div>
        </div>
        
			<?php /** BOF item-info-bottom block **/ if ( (($this->params->get('tpl_item_show_item_info_bottom', 1))) && (( ((intval($this->item->modified) !=0 && $this->params->get('show_modify_date', 1)) || ($this->params->get('show_author', 1) && ($this->item->creator != "")) || ($this->params->get('show_create_date', 1)) || (($this->params->get('show_modifier', 1)) && (intval($this->item->modified) !=0))) ) || (($this->params->get('show_vote', 1)) )) ) : ?>
           
            <div class="clear"></div>
            <?php if ( ( ($this->params->get('show_tags') != 1) && ($this->params->get('show_category') != 1) ) && ( ($this->params->get('show_tags_cat') == 0) || ($this->params->get('show_tags_cat') == "") && ($this->params->get('show_category_cat') == 0) || ($this->params->get('show_category_cat') == "") ) )  : ?>
            <div class="infoblock item-info-bottom onecols">
            <?php else: ?>
            <div class="infoblock item-info-bottom <?php echo $this->params->get('tpl_item_item_info_bottom_cols', 'two'); ?>cols">
            <?php endif; ?>
                <ul>
                <li class="li-block">
                <div>
        
                <?php /** BOF item informations **/ if ((intval($this->item->modified) !=0 && $this->params->get('show_modify_date', 1) && ( ($this->params->get('show_modify_date_cat') == 0) || ($this->params->get('show_modify_date_cat') == "") ) ) || ($this->params->get('show_author', 1) && ($this->item->creator != "") && ( ($this->params->get('show_author_cat') == 0) || ($this->params->get('show_author_cat') == "") ) ) || ($this->params->get('show_create_date', 1) && ( ($this->params->get('show_create_date_cat') == 0) || ($this->params->get('show_create_date_cat') == "")  ) ) || (($this->params->get('show_modifier', 1)) && (intval($this->item->modified) !=0) && (($this->params->get('show_modifier_cat') == 0) || ($this->params->get('show_modifier_cat') == "")  ) ) ) : ?>
                <p class="iteminfo">
                    <?php if (($this->params->get('show_author', 1)) && (($this->params->get('show_author_cat') == 0) || ($this->params->get('show_author_cat') == 0)) && ($this->item->creator != "")) : ?>
                    <span class="created outershadow">
                        <?php echo JText::sprintf('FLEXI_WRITTEN_BY', $this->fields['created_by']->display); ?>
                    </span>
                    <?php endif; ?>
                    
                    <?php if (($this->params->get('show_author', 1)) && ( ($this->params->get('show_author_cat') == 0) || ($this->params->get('show_author_cat') == "") ) && ($this->item->creator != "") && ($this->params->get('show_create_date', 1)) && (($this->params->get('show_create_date_cat') == 0) || ($this->params->get('show_create_date_cat') == "")  ) ) : ?>
                    <!--|-->
                    <?php endif; ?>
            
                    <?php if ( ($this->params->get('show_create_date', 1)) && (($this->params->get('show_create_date_cat') == 0) || ($this->params->get('show_create_date_cat') == "") ) ) : ?>
                    <span class="created outershadow">
                        <?php echo JHTML::_('date', $this->fields['created']->value[0], JText::_('DATE_FORMAT_LC2')); ?>		
                    </span>
                    <?php endif; ?>
            
                    <?php if (intval($this->item->modified) !=0 && $this->params->get('show_modify_date', 1) && ( ($this->params->get('show_modify_date_cat') == 0) || ($this->params->get('show_modify_date_cat') == "")  )  ) : ?>
                    <span class="modified outershadow">
                        <?php echo JText::sprintf('LAST_UPDATED2', JHTML::_('date', $this->fields['modified']->value[0], JText::_('DATE_FORMAT_LC2'))); ?>
                        <?php if (($this->params->get('show_modifier')) && ($this->item->modifier != "")) : ?>
                        <?php echo JText::sprintf('FLEXI_BY', $this->fields['modified_by']->display); ?>
                        <?php endif; ?>
                    </span>
            
                    <?php endif; ?>
                </p>
                <?php endif; /** EOF item informations **/ ?>
        
             </div>
             </li>
        
            <?php /** BOF item rating, tags, favourites **/ if ( (( (($this->params->get('show_tags', 1)) || ($this->params->get('show_category', 1))) && ( (($this->params->get('show_tags_cat') == 0) || ($this->params->get('show_tags_cat') == "")) || (($this->params->get('show_category_cat') == 0) || ($this->params->get('show_category_cat') == "")) ) ) ) || ( ( (($this->params->get('show_vote', 1)) || ($this->params->get('show_favs', 1))) && ( (($this->params->get('show_vote_cat') == 0) || ($this->params->get('show_vote_cat') == "")) || (($this->params->get('show_favs_cat') == 0) || ($this->params->get('show_favs_cat') == "")) ) ) ))  : ?>
            <li>
            <div>
            <div class="itemadditionnal">
                <?php if ( ($this->params->get('show_category', 1)) && ( (($this->params->get('show_category_cat') == 0) || ($this->params->get('show_category_cat') == "")) ) ) : ?>
                <span class="categories outershadow">
                    <span class="fclabel"><?php echo $this->fields['categories']->label; ?></span>
                    <span class="fcvalue"><?php echo $this->fields['categories']->display; ?></span>
                </span>
                <?php endif; ?>
        
                <?php if ( ($this->params->get('show_tags', 1) && $this->fields['tags']->display) && ( (($this->params->get('show_tags_cat') == 0) || ($this->params->get('show_tags_cat') == "")) ) ) : ?>
                <span class="tags outershadow">
                    <span class="fclabel"><?php echo $this->fields['tags']->label; ?></span>
                    <span class="fcvalue"><?php echo $this->fields['tags']->display; ?></span>
                </span>
                <?php endif; ?>
            </div>
            </div>
                <?php /** BOF item rating, tags, favourites **/ if ( (($this->params->get('show_vote', 1)) || ($this->params->get('show_favs', 1))) && ( (($this->params->get('show_vote_cat') == 0) || ($this->params->get('show_vote_cat') == "")) || (($this->params->get('show_favs_cat') == 0) || ($this->params->get('show_favs_cat') == "")) ) )  : ?>
                <div class="itemactions">
                    
                    <?php if (($this->params->get('show_vote', 1)) && ( (($this->params->get('show_vote_cat') == 0) || ($this->params->get('show_vote_cat') == "")) ) ) : ?>
                    <div class="voting">
                    <?php echo $this->fields['voting']->display; ?>
                    </div>
                    <?php endif; ?>
            
                    <?php if (($this->params->get('show_favs', 1)) && ( (($this->params->get('show_favs_cat') == 0) || ($this->params->get('show_favs_cat') == "")) ) ) : ?>
                    <div class="favourites">
                        <?php echo $this->fields['favourites']->display; ?>
                    </div>
                    <?php endif; ?>
                </div>
                <?php endif; /** EOF item rating, tags, favourites **/ ?>
            </li>
            <?php endif; /** EOF item informations **/ ?>
            
                </ul>
            </div>
           
            <?php endif;  /** EOF item-info-bottom block **/ ?>
    
        </div>
        <?php /** EOF item-right-wrap block **/ ?>
    
    </div>
    <?php /** EOF item-wrap block **/ ?>
    
    <div class="clear"></div>
	<?php /** BOF page-navigation block **/ if (isset($this->item->positions['page-navigation']) && ($this->params->get('tpl_item_show_pagenavigation', 1))) : ?>
       <div class="page-navigation-wrap">
        <?php foreach ($this->item->positions['page-navigation'] as $field) : ?>
        <div class="page-navigation">
        <div class="element">
            <?php if ($field->label) : ?>
            <div class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
            <?php endif; ?>
            <div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
        </div>
        </div>
        <?php endforeach; ?>
        <div class="clear"></div>
        </div>
    <?php endif; /** EOF page-navigation block **/ ?>

	<?php /** BOF comments **/ if ($this->params->get('comments')) : ?>
	<div class="comments-wrapper">
   
	<?php
		if ($this->params->get('comments') == 1) :
			if (file_exists(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php')) :
				require_once(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php');
				echo JComments::showComments($this->item->id, 'com_flexicontent', $this->escape($this->item->title));
			endif;
		endif;
	
		if ($this->params->get('comments') == 2) :
			if (file_exists(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php')) :
    			require_once(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php');
    			echo jomcomment($this->item->id, 'com_flexicontent');
  			endif;
  		endif;
	?>
	</div>
	<?php endif; ?>
	<?php /** EOF comments **/ ?>

</div>

<?php 
function splitTitle( $title )
{
  	$zaehler = str_word_count($title);
	if ($zaehler >= 2) {
		$title		= explode(' ', $title);
		$title[0] 	= '<span>'.$title[0].'</span>';
		$title		= join(' ', $title);
		} else {
		$title 	= $title;
	}
  return $title;
}
?>